Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.appconn.nonmanaged
Class NonManagedLDAPClientApplicationImpl

    java.lang.Object
      com.stc.connector.appconn.ldap.ConnectionConstants
          com.stc.connector.ldapadapter.appconn.LDAPClientApplicationImpl
              com.stc.connector.ldapadapter.appconn.nonmanaged.NonManagedLDAPClientApplicationImpl

All Implemented Interfaces:
  LDAPClientApplication, NonManagedLDAPClientApplication

    public class NonManagedLDAPClientApplicationImpl

extends LDAPClientApplicationImpl
implements NonManagedLDAPClientApplication

This class is the LDAP client through which any Non Managed clients( such as a simple Java client or a web application which are not deployed on App server) interacts with the LDAP Server. This class is also a facotry for creating various Operation objects to perform various LDAP operations. This class is the entry point for all operations on the LDAP Server.

Version:
  5.1.0
Author:

Field Summary

Fields inherited from class com.stc.connector.ldapadapter.appconn.LDAPClientApplicationImpl
`addEntry, appConn, compareEntry, ldapConnector, modifyEntry, persistentSearch, removeEntry, renameEntry, search, timestampSearch, tlsExtension`

Fields inherited from class com.stc.connector.appconn.ldap.ConnectionConstants
`anonymousLoginMandatoryProperties, CONN_AUTHENTICATION, CONN_CREDENTIALS, CONN_INITIALCONTEXT_FACTORY, CONN_PRINCIPAL, CONN_PROVIDER_URL, connectionDefaultValuesMap, LDAP_ATTRIBUTES, LOCAL_HOST_PROVIDER_URL, NO_AUTHENTICATION, REFERRAL_CREDENTIALS_FILE, REFERRAL_FOLLOW, SECURITY_CONNECTION_TYPE, SECURITY_KEYSTORE, SECURITY_KEYSTORE_PASSWORD, SECURITY_KEYSTORE_TYPE, SECURITY_KEYSTORE_USER_NAME, SECURITY_PROTOCOL, SECURITY_PROVIDER, SECURITY_TRUSTSTORE, SECURITY_TRUSTSTORE_PASSWORD, SECURITY_TRUSTSTORE_TYPE, SECURITY_VERIFY_HOSTNAME, SECURITY_X509_ALGORITHM, SIMPLE_AUTHENTICATION, simpleLoginMandatoryProperties`

Constructor Summary
`NonManagedLDAPClientApplicationImpl()` Creates a new instance of NonManagedLDAPClientApplicationImpl
`NonManagedLDAPClientApplicationImpl(NonManagedLDAPApplicationConnection nmAppConn)` Creates a new instance of NonManagedLDAPClientApplicationImpl

Method Summary
`void` | `checkIfClosed()` Checks whether the application connection was closed.
`protected com.stc.connector.appconn.common.ApplicationConnection` | `getApplicationConnection()` Returns the Implementation of ApplicationConnection associated with NonManagedLDAPClientApplication
`protected LDAPConnector` | `getLDAPConnection()` Returns the LDAPConnector
`javax.naming.Context` | `getLDAPContext()` Returns the real LDAP Context associated with this NM deployments
`void` | `reset()` Method to reset the values

Methods inherited from class com.stc.connector.ldapadapter.appconn.LDAPClientApplicationImpl
`getAddEntry, getCompareEntry, getModifyEntry, getPersistentSearch, getRemoveEntry, getRenameEntry, getSearch, getTimestampSearch, getTlsExtension, initialize`

Methods inherited from class com.stc.connector.appconn.ldap.ConnectionConstants
`contains, getDefaultBooleanValue, getDefaultStringValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.stc.connector.appconn.ldap.LDAPClientApplication
`getAddEntry, getCompareEntry, getModifyEntry, getPersistentSearch, getRemoveEntry, getRenameEntry, getSearch, getTimestampSearch, getTlsExtension`

Constructor Detail

### NonManagedLDAPClientApplicationImpl

    public NonManagedLDAPClientApplicationImpl()

  Creates a new instance of NonManagedLDAPClientApplicationImpl

### NonManagedLDAPClientApplicationImpl

    public NonManagedLDAPClientApplicationImpl(NonManagedLDAPApplicationConnection nmAppConn)
                                        throws LDAPApplicationException

  Creates a new instance of NonManagedLDAPClientApplicationImpl

  Parameters:
    `nmAppConn` - ApplicationConnection wraps the underlying EIS connection
  Throws:
    `LDAPApplicationException` - any exception in the process

Method Detail

### reset

    public void reset()

  Description copied from class: `LDAPClientApplicationImpl`
  Method to reset the values

  Specified by:
    `reset` in interface `LDAPClientApplication`
  Overrides:
    `reset` in class `LDAPClientApplicationImpl`

### checkIfClosed

    public void checkIfClosed()
                       throws LDAPApplicationException

  Checks whether the application connection was closed. If closed then an LDAPApplicationException is thrown.

  Overrides:
    `checkIfClosed` in class `LDAPClientApplicationImpl`
  Throws:
    `LDAPApplicationException` - if the Application Connection associated with this application was already closed.

### getApplicationConnection

    protected com.stc.connector.appconn.common.ApplicationConnection getApplicationConnection()

  Returns the Implementation of ApplicationConnection associated with NonManagedLDAPClientApplication

  Overrides:
    `getApplicationConnection` in class `LDAPClientApplicationImpl`
  Returns:
    nmAppConn - ApplicationConnection wraps the underlying EIS connection

### getLDAPConnection

    protected LDAPConnector getLDAPConnection()

  Returns the LDAPConnector

  Overrides:
    `getLDAPConnection` in class `LDAPClientApplicationImpl`
  Returns:
    ldapConnector

### getLDAPContext

    public javax.naming.Context getLDAPContext()
                                        throws LDAPApplicationException

  Returns the real LDAP Context associated with this NM deployments

  Specified by:
    `getLDAPContext` in interface `NonManagedLDAPClientApplication`
  Returns:
    Context - LDAP Context
  Throws:
    `LDAPApplicationException`
  See Also:
    `NonManagedLDAPClientApplication.getLDAPContext()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD